<?php

function callbackFunction(callable $functionName, array $array)
{
    return $functionName($array);
}

// PHP定義済みの関数を呼び出し
echo callbackFunction('count', [1, 2, 3]);

function sum(array $array)
{
    $sum = 0;
    foreach ($array as $value) {
        $sum += $value;
    }

    return $sum;
}

// 開発者が定義した関数を呼び出し
echo callbackFunction('sum', [1, 2, 3]);
