<?php

interface MyInterface{}
class MyClass{}
trait MyTrait{}

// interfaceを型として使用できる
function getInterface(): MyInterface
{
    return new class implements MyInterface {};
}

getInterface();

// classを型として使用できる
function getClass(): MyClass
{
    return new MyClass();
}

getClass();

// traitは型として使用できない
function getTrait(): MyTrait
{
    return new class
    {
        use MyTrait;
    };
}

// TypeErrorになる
getTrait();
