<?php

class Age
{
    private int $value;

    public function __construct(int $value)
    {
        if ($value < 0 || $value > 120) {
            throw new InvalidArgumentException();
        }

        $this->value = $value;
    }

    public function getValue(): int
    {
        return $this->value;
    }
}
