<?php

/**
 * @param (string|int)[] $array 引数に文字列または整数の要素から成る配列を指定
 * @return int[] 戻り値に整数の要素から成る配列を指定
 */
function filterInt(array $array): array
{
    $result = [];
    foreach ($array as $key => $value) {
        if (is_numeric($value)) {
            $result[$key] = (int)$value;
        }
    }

    return $result;
}
